从 XP 迁移到 Linux 的入门指南
=================================================================================

![](http://www.linuxfederation.com/wp-content/uploads/2014/04/Switch_To_linux.jpeg)

Microsoft 已经不再支持 Windows XP 了。大多数人也许并不关心这事儿，但对于知道使用服务终止的软件会有麻烦的你来说，做点儿改变的时候到了。你可以安装同样落伍的 Windows 7，或者安装没人喜欢的 Windows 8。或者，你可以从风格众多的 Linux 中选择一款来安装，化身成为 Linux 用户这个精英团体的一员。

和 Windows 可不一样，你不需要为了让系统启动运行而支付数百美元。Linux 是免费的，并且未来也不会收费。Linux 附带一切必要的应用程序，比如互联网浏览器、电子邮件客户端、视频播放器、照片编辑器等一大堆同样免费的软件，但要想享用这些软件，你首先得说服自己迁移到 Linux。你可能会想，我本来可以好好儿地继续用我旧版的 Windows，干嘛要费神用别的东西。听我解释，这花不了多长时间。

Linux 和 Windows 不一样，它可不是 Microsoft 花钱雇人做的，而是在像 Red Hat、IBM、HP、Samsung 等众多 Linux 基金会领导下的技术巨头以及全世界成千上万的志愿者的协作下开发的。所以，你可以确信你在用的不是个别大牛工程师的小众作品，而是开发人员遍布全球的坚实的操作系统。

这一点使得 Linux 跻身全世界最安全的操作系统之列。好吧，百分之百的安全是不存在的，但使用 Linux 能保证安全在你身边寸步不离，这是 Google、Facebook、Twitter、IBM、NASA 等公司使用 Linux 的唯一理由。这里列出了[使用 Linux 的世界顶级公司和组织][1]。Linux 是个非常轻量级的操作系统，却既能支持最前沿的新硬件，也能支持几十年前的老硬件。

现在，如果关于 Linux 的概念已经勾起了你的兴致，我们来看看房间里的下一头大象（译注：原文是 the next elephant in the room。the elephant in the room 通常指显而易见却避而不谈的问题）—— 你在 Windows XP 下最爱的应用程序。Linux 环境有你在 Windows 下爱用的绝大部分应用程序，包括 Firefox、Chrome、Steam、VLC、Skype 和 Team Viewer。如果你找不到你某个你在 Windows 上用过的软件，那么试试 Linux 环境下数量庞大的替代品吧。与你的 Windows 应用程序相比，它们的功能更强大，而且都是协作开发的。

列举几个常见的替代方案：Libre Office 可以代替 Microsoft Office，Thunderbird 可以替代 Outlook，Gimp 可以替代 Adobe Photoshop，它们全都永久免费，而且你不用为每年的小更新升级支付数百美元。你不会像用 Windows 那样只有很少的几种应用程序可供选择（这是 Microsoft 的垄断行为造成的），也就是说，任何时候如果你对 Libre Office 不满意，你都可以改用另一个非常可靠的办公软件套件 Open Office。

使用 Linux 最好的事情是，你根本不用担心病毒，也完全没必要安装昂贵且耗费资源严重的网络安全程序，因为它们几乎保护不了你。Windows 立足于让整个网络安全事业有利润可榨取，这么看来，反病毒公司真是干得不错。相反，Linux 并不鼓励这种行为，它本就是全世界最安全的操作系统之一。这也解释了为什么大部分全球防务系统和股票交易系统运行的是 Linux。

好吧，如果你因为从没见过有人用 Linux 所以还是不服的话，看看你和你身边人的安卓手机吧，它就是在 Linux 上构建的。电视、空调、洗衣机和你钟爱的咖啡机运行的也是 Linux。你已经生活在了一个运行 Linux 的世界里，但你却拒绝成为这个世界的一部分。再前进一小步吧，你马上就会变成 Linux 精英用户了。

别说教了，咱们开始用用 Linux 吧。首先我们要选择一款 Linux，这是最有意思的部分了。初次选择 Linux 就像哈利·波特选择魔杖一样。每个风格不同的 Linux 都运行在相同的我们称之为“内核（Kernel）”的坚实基础之上，不同风格的 Linux 我们称之为“发行版”。

Linux 目前有数百个发行版，[Distrowatch][2] 按流行度顺序列出了所有发行版。Ubuntu、Linux Mint、Fedora、Debian 以及 Open Suse 是几个比较著名的 Linux 发行版。如果你怀念 Windows XP 的感觉，那最好选择 Linux Mint。如果你想体验一下新奇的东西，尝试一下 Ubuntu 的 Unity 界面、Fedora 的 Gnome 界面或者 Open Suse 的 KDE 界面。Unity、Gnome、KDE 是不同的用户界面的名字，我们称之为“桌面环境（Desktop Environment）”。这些桌面环境在很老的系统上也能使用，但如果你真的要在很古老的机器上使用 Linux，你可以试试轻量级的桌面环境，比如 XFCE 和 LXDE，它们很轻量级，用户界面要简单一些。

好了，选择一款你喜欢的 Linux 发行版并开始使用吧。Linux 是免费、稳定并且安全的，如果还有什么说的，那就是，如果你用着开心，就为 Linux 基金会那些家伙的出色工作捐点钱吧。我不打算写安装教程，因为那些东西网上到处都是。我在线上和线下帮助我的朋友迁移到 Linux，你也应该帮助你的朋友迁移到 Linux。

---------------------------------------------------------------------------------

译自: http://www.linuxfederation.com/beginners-guide-xp-users-switch-linux/

译者：[sailing](https://github.com/blueabysm) 校对：[wxy](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.linuxfederation.com/linux-everywhere/
[2]:http://distrowatch.com/
