如何在 Linux 中永久地更改 Umask 值
================================================================================
![](http://i1-news.softpedia-static.com/images/news2/How-to-Change-Umask-Value-Permanently-in-Linux-435026-2.jpg)

**这篇教程教将指导所有的 Linux 用户如何永久性地更改其系统的 Umask 值。特别建议全新安装的用户学习（想知道为什么的话，请阅读下文）**

Umask 是什么？解释下，UMASK 代表用户掩码或用户文件创建掩码，它用于新创建的文件和文件夹，是其默认权限基础。

上面的意思可以解释成 任何基于 Linux 的操作系统为新建文件(包括文件夹)添加一系列默认权限的能力。出于教育目的，下面列出了一些可以用来设置文件权限的八进制值：

    0 – 读, 写, 可执行 (rwx)
    1 – 读和写 (rw-)
    2 – 读和可执行 (r-x)
    3 – 只读 (r--)
    4 – 写和可执行 (-wx)
    5 – 只写 (-w-)
    6 – 仅可执行 (--x)
    7 – 没有权限 (---)

在几乎所有的 Linux 发行版本中默认 Umask 值是 0022(022)，可以在终端模拟程序中输入 umask 命令来查看。也可以运行 “umask 八进制值”  命令（例如 umask 027）来临时改变这个值。
 
你也许知道，新创建的文件的默认权限设置是 0666，文件夹的是 0777。应用上面所说的 umask 值后就得到 644 和 755 权限。

许多人正在考虑 022 值本身的隐私问题。这就是说您所创建的文件对其他用户来说是可随意查看的，一想到这就感到不太爽。

言归正传，用户可以按他们所愿来修改默认的 Umask 值，当然首先要保证修改的值合法。要修改默认值，**请在您的 shell 配置文件中或者 /etc/profile 文件中写入一个新的 Umask 值**。

大功告成！从现在开始，在你的 Linux 系统上新创建的文件或文件夹都会有准确设置的权限。但请注意已经存在的文件或文件夹的权限并不会因为上面的操作而改变。

如果您使用的是命令行，可以在任意目录下运行 ls -lah 命令，就可以看到当前的文件权限。另外，新手也可以很容易地查看到文件权限，在基于 GNOME 桌面的环境中，通过右击文件，选择属性 -> 权限选项卡。

如果你在阅读这篇教程时遇到任何问题，不要犹豫，请留下您的评论。

--------------------------------------------------------------------------------

via: http://news.softpedia.com/news/How-to-Change-Umask-Value-Permanently-in-Linux-435026.shtml

译者：[runningwater](https://github.com/runningwater) 校对：[Caroline](https://github.com/carolinewuyan)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出
